Java 日志组件 SLF4J 1.8.0 beta0 ,兼容 Java 9

来源: 投稿
作者: 王练
2017-10-24 18:23:00

SLF4J 1.8.0 beta0 已发布,正式兼容 Java 9 ,尤其是模块化系统。

SLF4J 是为各种 loging APIs 提供一个简单统一的接口,从而使得最终用户能够在部署的时候配置自己希望的 loging APIs 实现。

虽然在 1.8.0 beta0 版本中没有面向客户端的 API 更改,但静态绑定机制已被废弃,而是用 Java 6 中引入的 java.util.ServiceLoader 取代。这也意味着 slf4j-api 现在需要 Java 6。此外,slf4j-api 1.8.x 将不再搜索 StaticLoggerBinder 类。

更多详情可查阅发行说明

下载地址:

展开阅读全文
7 收藏
分享
4 评论
7 收藏
分享
返回顶部
顶部